#!/usr/bin/env python
# -*- coding: UTF-8 -*-
#
# Test Visual
# Copyright (C) 2011 Plan Ceibal
# Author: Esteban Arias <earias@plan.ceibal.edu.uy>
# Contact information: comunidad@plan.ceibal.edu.uy
# Plan Ceibal http://www.ceibal.edu.uy
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
from os.path import join
import ConfigParser
import logging

PATH_CONFIG = join(os.getcwd(), 'consejos', 'config')

class Consejo(object):

    def __init__(self, id='', titulo='', desc='',img_path=''):
        self.id = id
        self.titulo = titulo
        self.descripcion = desc
        self.img_path = img_path

        self._logger = logging.getLogger('TestVisual-activity')
        self._logger.setLevel(logging.DEBUG)

    def set_titulo(self, id):
        try:
            self.titulo=self.get_config(id, 'titulo')
        except:
            self._logger.error('Error: get titulo.')

    def set_descripcion(self, id):
        try:
            self.descripcion=self.get_config(id, 'descripcion')
        except:
            self._logger.error('Error: get descripcion.')

    def set_img_path(self, id):
        try:
            self.img_path=self.get_config(id, 'imagen')
        except:
            self._logger.error('Error: get img_path.')

    def get_config(self, head, item):
        parser = ConfigParser.ConfigParser()
        parser.read(PATH_CONFIG)
        if not parser.has_section(head):
            return ''
        return parser.get(head, item)

class ControladorConsejo(object):
    def __init__(self, consejos=[]):
        self.losConsejos=[]
        self.cargar_consejos()

    def cargar_consejos(self):
        self.losConsejos=[]
        parser = ConfigParser.ConfigParser()
        parser.read(PATH_CONFIG)
        i=1
        encontre=False
        while not encontre:
            if parser.has_section(str(i)):
                unConsejo = self.get_consejo(str(i))
                self.losConsejos.append(unConsejo)
                i=i+1
            else:
                encontre=True

    def get_consejo(self, id):
        unConsejo = Consejo()
        unConsejo.id = id
        unConsejo.set_titulo(id)
        unConsejo.set_descripcion(id)
        unConsejo.set_img_path(id)
        return unConsejo