import gtk

from sugar.graphics import style

class Display(gtk.Alignment):

    def __init__(self):
        gtk.Alignment.__init__(self)
        
        self.set(0.5, 0.5, 0.0, 0.0)
        self.set_padding(style.zoom(10), style.zoom(10), style.zoom(10), style.zoom(10))

        self.img = gtk.Image()
        self.img.show()

        self.lbl = gtk.Label()
        self.lbl.set_padding(style.zoom(100),style.zoom(100))
        self.lbl.show()

        self.fix = gtk.Fixed()
        self.fix.put(self.img, 0, 0)
        self.fix.put(self.lbl, 0, 0)

        self.add(self.fix)

    def set_image(self, file_path, width=None, height=None):
        if (width==None or height==None):
            pixbufanim = gtk.gdk.pixbuf_new_from_file(file_path)
        else:
            pixbufanim = gtk.gdk.pixbuf_new_from_file_at_size(file_path, style.zoom(width), style.zoom(height))
        self.img.set_from_pixbuf(pixbufanim)

    def set_text(self, text):
        self.lbl.set_text(text)
    
    def set_markup(self, ptext):
        self.lbl.set_markup(ptext)

