#!/usr/bin/env python
# -*- coding: UTF-8 -*-
#
# Test Visual
# Copyright (C) 2011 Plan Ceibal
# Author: Esteban Arias <earias@plan.ceibal.edu.uy>
# Contact information: comunidad@plan.ceibal.edu.uy
# Plan Ceibal http://www.ceibal.edu.uy
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import gtk
import os
from os.path import join

from sugar.graphics import style

PATH_IMAGE=join(os.getcwd(), 'e-cerca', 'img', 'e.svg')

MAP_KEY = {'Up'           : 8,
           'Right'        : 6,
           'Down'         : 2,
           'Left'         : 4,
           'KP_Page_Up'   : 8,
           'KP_End'       : 6,
           'KP_Page_Down' : 2,
           'KP_Home'      : 4,
            }

ANGLES = {6: 0,
          2: 270,
          4: 180,
          8: 90,
          }

SIZES_3M = {1: 229,
            2: 111,
            3: 78,
            4: 56,
            5: 47,
            6: 39,
            7: 36,
            8: 30,
            9: 27,
            10: 25,
            }

class E(gtk.Image):
    def __init__(self, number=0, scale=0):
        gtk.Image.__init__(self)
        
        self.number = number
        self.scale = scale

        self.generate_image()

    def get_angule(self):
        return ANGLES[self.number]

    def get_size(self):
        return SIZES_3M[self.scale]

    def get_path_image(self):
        return PATH_IMAGE

    def generate_image(self):
        pixbufanim = gtk.gdk.pixbuf_new_from_file_at_size(self.get_path_image(), \
                                                    style.zoom(self.get_size()), \
                                                    style.zoom(self.get_size()))
        pixbufanim = pixbufanim.rotate_simple(self.get_angule())
        self.set_from_pixbuf(pixbufanim)
