#!/usr/bin/env python
# -*- coding: UTF-8 -*-
#
# Test Visual
# Copyright (C) 2011 Plan Ceibal
# Author: Esteban Arias <earias@plan.ceibal.edu.uy>
# Modified by: Matias Basso <mbasso@plan.ceibal.edu.uy>
# Contact information: comunidad@plan.ceibal.edu.uy
# Plan Ceibal http://www.ceibal.edu.uy
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import gtk
import logging
import gtk.glade
import os
import gobject
from gobject import SIGNAL_RUN_FIRST, TYPE_PYOBJECT
gobject.threads_init()

from sugar.graphics.toolbutton import ToolButton

_logger = logging.getLogger('TestVisual-activity')
_logger.setLevel(logging.DEBUG)

START_IMAGE='icons/img_inicio.jpg'

class UIInicio(gobject.GObject):
    __gtype_name__ = 'UIInicio'

    __gsignals__ = {
        'current-form-agudeza': (SIGNAL_RUN_FIRST, None, [TYPE_PYOBJECT]),
        'current-form-ishihara': (SIGNAL_RUN_FIRST, None, [TYPE_PYOBJECT]),
        'current-form-e-cerca': (SIGNAL_RUN_FIRST, None, [TYPE_PYOBJECT]),
    }


    def __init__(self, activity, runaslib=True):
        self.__gobject_init__()

        self.activity = activity
        self.xml = gtk.glade.XML("GUI/gui_inicio.glade")
        self.ventanaprincipal = self.xml.get_widget('ventana_inicio')
        self.contenedorprincipal = self.ventanaprincipal.get_child()
        self.ventanaprincipal.remove(self.contenedorprincipal)

        self.imagen = self.xml.get_widget('img_ini')
        file_path=os.path.join(os.getcwd(),START_IMAGE)
        pixbufanim = gtk.gdk.pixbuf_new_from_file(file_path)
        self.imagen.set_from_pixbuf(pixbufanim)
        self.imagen.show_all()

        self.vbox_ishihara = self.xml.get_widget('vbox_ishihara')
        self.btn_ishihara = ToolButton(icon_name='ishihara', tooltip='Sensibilidad de Color')
        self.btn_ishihara.connect('clicked', self.__btn_ishihara_pressed)
        self.btn_ishihara.show()
        self.vbox_ishihara.add(self.btn_ishihara)

        self.vbox_agudeza = self.xml.get_widget('vbox_agudeza')
        self.btn_agudeza = ToolButton(icon_name='agudeza', tooltip='Agudeza Visual')
        self.btn_agudeza.connect('clicked', self.__btn_agudeza_pressed)
        self.btn_agudeza.show()
        self.vbox_agudeza.add(self.btn_agudeza)
#Test E:
#        self.vbox_e = self.xml.get_widget('vbox_e')
#        self.btn_e = ToolButton(icon_name='e', tooltip='Test E')
#        self.btn_e.connect('clicked', self.__btn_e_pressed)
#        self.btn_e.show()
#        self.vbox_agudeza.add(self.btn_e)

    def __btn_agudeza_pressed(self, widget):
        self.emit('current-form-agudeza', None)

    def __btn_ishihara_pressed(self, widget):
        self.emit('current-form-ishihara', None)

    def __btn_e_pressed(self, widget):
        self.emit('current-form-e-cerca', None)
